package com.blogspot.lucbors.view.beans;

import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;

import javax.faces.event.ValueChangeEvent;

import oracle.adf.model.BindingContainer;
import oracle.adf.model.BindingContext;
import oracle.adf.model.binding.DCBindingContainer;
import oracle.adf.model.binding.DCControlBinding;
import oracle.adf.model.binding.DCExecutableBinding;
import oracle.adf.model.binding.DCIteratorBinding;

import oracle.adfdt.model.objects.IteratorBinding;

import oracle.adfinternal.view.faces.model.binding.FacesCtrlActionBinding;

import oracle.binding.OperationBinding;

import oracle.jbo.ViewObject;

public class SwitchBaseTable {
  
  String baseTable;
  
  public SwitchBaseTable() {
  }

  public void setSource(String baseTable) {
    // Add event code here...    

    DCBindingContainer bc = (DCBindingContainer)BindingContext.getCurrent().getCurrentBindingsEntry();
    OperationBinding oper = bc.getOperationBinding("changeBaseTable");
    oper.getParamsMap().put("baseTable", baseTable );
    oper.execute();   
    
  }

  public void setBaseTable(String baseTable) {
    this.baseTable = baseTable;
  }

  public String getBaseTable() {
    return baseTable;
  }

  public void switchBaseTable(ValueChangeEvent valueChangeEvent) {
    setSource(valueChangeEvent.getNewValue().toString());
  }
}
